﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using GalaSoft.MvvmLight.Messaging;
using System.Collections.Generic;
using GalaSoft.MvvmLight.Command;

namespace SwheatExample1
{
    public class ConfirmOverwriteMessage : GalaSoft.MvvmLight.Messaging.GenericMessage<Action<bool>>
    {
        public List<String> OverrwrittenData { get; set; }

        public RelayCommand ConfirmCommand { get; private set; }
        public RelayCommand CancelCommand { get; private set; }

        public ConfirmOverwriteMessage(Action<bool> content) : base(content)
        {
            ConfirmCommand = new RelayCommand(() => content.Invoke(true));
            CancelCommand = new RelayCommand(() => content.Invoke(false));
        }
    }
}
