﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using GalaSoft.MvvmLight.Messaging;

namespace SwheatExample1
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            Messenger.Default.Register<DialogMessage>(this, msg => msg.ProcessCallback(MessageBox.Show(msg.Content, msg.Caption, msg.Button)));
            Messenger.Default.Register<ConfirmOverwriteMessage>(this, msg => ValueOverwriteDialog.ShowMessage(msg));
        }
    }
}
